Package org.pentaho.reporting.libraries.formula.typing

# Interface ExtendedComparator

All Known Implementing Classes:
  `DefaultComparator`

public interface ExtendedComparator
A comparator, that offers type support. Unlike the plain Java-Comparator, this class is able to compare

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Type type1, Object value1, Type type2, Object value2)`
Returns null, if the types are not comparable and are not convertible at all.
`boolean`
`isEqual(Type type1, Object value1, Type type2, Object value2)`

## Method Details

### isEqual

boolean isEqual(Type type1, Object value1, Type type2, Object value2)

### compare

int compare(Type type1, Object value1, Type type2, Object value2) throws EvaluationException
Returns null, if the types are not comparable and are not convertible at all.

Parameters:
  `type1` -
  `value1` -
  `type2` -
  `value2` -
Returns:
Throws:
  `EvaluationException`